#!/usr/bin/perl
#V1.10

use strict;
use warnings;
use Getopt::Long;

my $input_read1_file = $ARGV[0];
my $input_read2_file = $ARGV[1];
my $input_assembly_file = $ARGV[2];
my $output_read1_file = $ARGV[3];
my $output_read2_file = $ARGV[4];
my $output_assembly_file = $ARGV[5];

#$output_read1_file = $input_read1_file.".tmp";
#$output_read2_file = $input_read2_file.".tmp";
#$output_assembly_file = $input_assembly_file.".tmp";



open(INR1, $input_read1_file) or die ("Can't open $input_read1_file\n");
open(INR2, $input_read2_file) or die ("Can't open $input_read2_file\n");
open(INAF, $input_assembly_file) or die ("Can't open $input_assembly_file\n");


open(OUTR1, ">$output_read1_file") or die ("Can't open $output_read1_file\n");
open(OUTR2, ">$output_read2_file") or die ("Can't open $output_read2_file\n");
open(OUTAF, ">$output_assembly_file") or die ("Can't open $output_assembly_file\n");



while (my $ligne = <INR1>){
	print OUTR1 $ligne;
}

close (INR1);
close (OUTR1);

while (my $ligne = <INR2>){
	print OUTR2 $ligne;
}

close (INR2);
close (OUTR2);

while (my $ligne = <INAF>){
	print OUTAF $ligne;
}

close (INAF);
close (OUTAF);

print "Filler\n";
print "$output_read1_file\n";

